%ifos darwin
%define __ossuffix	-Darwin
%endif

Summary: X based image viewer for darned near all images
Name: xv
Version: 3.10a
Release: 1c
Copyright: Shareware
Group: X11/Applications/Graphics
Source: http://www.darwinfo.org/pub/darwin/X11/xv-%{version}%{__ossuffix}.tar.gz
Source1: localhost:/xv.wmconfig
Patch0:  localhost:/xv-%{version}%{__ossuffix}-path.patch
Patch1:  localhost:/xv-%{version}-gs.patch
Url: http://www.darwinfo.org/pub/darwin/X11/
BuildRoot: %{_tmppath}/xv-root

%description
This is the famous 'xv' by John Bradley.  It is shareware, but
we ship it with the permission of the authors.  It is a graphics
viewer for many file types, including gif, jpg, tiff, xwd, etc.
It also has manipulation features such as cropping, expanding, etc.
Patched to include flmask, a popular feature in Japan.

%prep
%setup -n %{name}-%{version}%{__ossuffix}
%patch0 -p1 -b .path
%patch1 -p1 -b .gs

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{X11R6/bin,X11R6/man/man1,local/lib}

make	BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
	LIBDIR=$RPM_BUILD_ROOT/usr/local/lib \
	install

( cd $RPM_BUILD_ROOT
  strip ./usr/X11R6/bin/{xv,bggen,vdcomp,xcmap,xvpictoppm}
  mkdir -p ./etc/X11/wmconfig
  install -c -m644 $RPM_SOURCE_DIR/xv.wmconfig ./etc/X11/wmconfig/xv
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS
%config /etc/X11/wmconfig/xv
/usr/X11R6/bin/xv
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xvpictoppm
/usr/X11R6/man/man1/xv.1
/usr/X11R6/man/man1/bggen.1
/usr/X11R6/man/man1/xcmap.1
/usr/X11R6/man/man1/xvpictoppm.1
/usr/X11R6/man/man1/vdcomp.1

%changelog
* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X 10.1

* Thu Aug 2 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Added ghostscript support

* Wed Apr 25 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Relase 10.0.01
